#include "hoc.h"

void prn_info(void)
{
    extern char* progname;

   cout.precision(2);
   cout.setf(ios::showpoint);
   cout << "\n"
           "   this is hoc version " << version << "\n";
   cout << "   \n"
           "   usage: " << progname << " [-h]\n";
   cout << "\n"
           "   This is essentially \"hoc3\", (\"high-order-calculator\")\n"
           "   described in chapter 8 of Kernighan and Pike's \"The UNIX\n"
           "   Programming Environment\" as an example of the use of \"yacc\".\n"
           "   (The current version uses the gnu version of yacc: \"bison\".)\n"
           "   Here are some examples:\n"
           "\n"
           "   -2 + 3/4\n"
           "   (-2 + 3)/4\n"
           "   x = .03\n"
           "   log(1+x)\n"
           "   x - x^2/2 + x^3/3  [[try x/0 and/or 0/0 to see what happens.]]\n"
           "   exp(-x)\n"
           "   E^-x\n"
           "   1 - x + x^2/2\n"
           "   1.2e4 * 3.0\n"
           "   1.2e40 * 3.0\n"
           "   1.2e400 * 3.0\n"
           "\n"
           "   angle = PI/6\n"
           "   angle * DEG\n"
           "   sin(angle)\n"
           "\n"
           "   sroot = 0.5\n"
           "   2^sroot\n"
           "   sqrt(2)\n"
           "  \n"
           "   any lower case letter may be used as a variable.\n"
           "   the constants PI, E, GAMMA (euler's constant)\n"
           "   and DEG (degrees per radian)\n"
           "   are all available.\n"
           "\n"
           "   the usual math functions are implemented:\n"
           "   sin(x), cos(x), atan(x), log(x), exp(x), sqrt(x). \n"
           "   int(x) returns the integer part of x, and\n"
           "   abs(x) returns the absolute value of x.\n"
           "\n"
           "   to quit, enter the word \"bye\".\n";

}
